#include <iostream>

using namespace std;

int main()
{
    int n,k;

    cin>>n>>k;

    if(k==1&&n<401)
    {

        int A[n];
        for(int i=0;i<n;i++)//ucitava
        {
            cin>>A[i];

        }

        if(A[0]>A[1])
            A[0]=A[0]*-1-2;
        else
            A[1]=A[1]*-1-2;

        for(int i=0;i<n;i++)
        {
            if(A[i]>-1)
                cout<<A[i]<<" ";
        }



    }




    return 0;
}